Subject: Re: bug#57293: 29.0.50; query-replace with Wdired skips symlink target

From: Juri Linkov <[email-masked]>
Date: Sat, 27 Aug 2022 22:44:56 +0300

>>  *** Search and replace in Dired/Wdired supports more regexps.
>>  For example, the regexp ".*" will match only characters that are part
>>  of the file name.  Also "^.*$" can be used to match at the beginning
>> -of the file name and at the end of the file name.
>> +of the file name and at the end of the file name.  In Wdired this can
>> +be used when the new user option 'wdired-search-replace-filenames' is
>> +non-nil (which is the default).
>
> Can we say that the behavior in dired is optional, too, and maybe just
> list the options (and commands) at the end?

I tried to improve this, please check.

>> -(defun isearch-search-fun-in-text-property (search-fun property)
>> -  "Return the function to search inside text that has the specified PROPERTY.
>> +(defun isearch-search-fun-in-text-property (search-fun properties)
>> +  "Return the function to search inside text that has the specified PROPERTIES.
>>  The function will limit the search for matches only inside text which has
>> -this property in the current buffer.
>> +these list of PROPERTIES in the current buffer.
>
> "which has at least one of the text PROPERTIES" may be better (I also
> added "text" so that the docstring at least once tells that this is only
> about text props).

Fixed this as well.